package com.hzya.frame.plugin.a8bill.plugin;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.seeyon.paybill.service.IPayBillService;
import com.hzya.frame.seeyon.recbill.service.IRecBillService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 收款单(RecBill)表服务接口
 *
 * @author makejava
 * @since 2024-06-07 18:30:05
 */
public class RecBillPluginInitializer extends PluginBaseEntity{
    Logger logger = LoggerFactory.getLogger(RecBillPluginInitializer.class);
   @Autowired
   private IRecBillService recBillService;

      @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "RecBillPluginInitializer";
    }

    @Override
    public String getPluginName() {
        return "RecBillPluginInitializer插件";
    }

    @Override
    public String getPluginLabel() {
        return "RecBillPluginInitializer";
    }

    @Override
    public String getPluginType() {
        return "1";
    }
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {
          try {
              logger.info("======开始执行收款单据信息同步========");
             return recBillService.sendRecBillToBip(requestJson);
          }catch (Exception e){
              logger.info("======执行收款单据同步失败:{}========",e.getMessage());
              e.printStackTrace();
          }
          return null;
    }
}
