package com.hzya.frame.plugin.lets.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * lets全局静态参数配置
 */
public class OverallConstant {

    private static final Map<String, String> devOverAll = new HashMap<>();

    private static final Map<String, String> testOverAll = new HashMap<>();

    private static final Map<String, String> prodOverAll = new HashMap<>();

    private static final Map<String, String> prodOverPublic = new HashMap<>();

    static {
        //dev
        loadDev();
        //prod
        loadProd();
        //公共部分
        loadPublic();
    }

    private static void loadPublic() {

        //存货分类
        prodOverPublic.put("bdinvclSave", "/u8cloud/api/uapbd/bdinvcl/save");//存货分类新增
        prodOverPublic.put("bdinvclUpdate", "/u8cloud/api/uapbd/bdinvcl/update");//存货分类修改
        prodOverPublic.put("bdinvclDelete", "/u8cloud/api/uapbd/bdinvcl/delete");//存货分类删除
        //存货基本档案
        prodOverPublic.put("bdinvclSave", "/u8cloud/api/uapbd/bdinvcl/save");//存货基本档案新增
        prodOverPublic.put("bdinvclUpdate", "/u8cloud/api/uapbd/invbasdoc/update");//存货基本档案修改
        prodOverPublic.put("bdinvclSeal", "/u8cloud/api/uapbd/invbasdoc/seal");//存货基本档案封存
        prodOverPublic.put("bdinvclUnseal", "/u8cloud/api/uapbd/invbasdoc/unseal");//存货基本档案取消封存
        prodOverPublic.put("bdinvclAllot", "/u8cloud/api/uapbd/invbasdoc/assign");//存货基本档案自动分配
        //调拨
        prodOverPublic.put("approveqz", "/u8cloud/api/to/transorder/saveapprove");//调拨订单保存即审批

        //其他出入库
        prodOverPublic.put("otherinqz", "/u8cloud/api/ic/otherin/save/sign");//库存其他入库保存即签字
        prodOverPublic.put("otheroutqz", "/u8cloud/api/ic/otherout/save/sign");//库存其他出库保存即签字




        prodOverPublic.put("custdocSave", "/u8cloud/api/uapbd/custdoc/insert");//客商档案新增
        prodOverPublic.put("custdocQuery", "/u8cloud/api/uapbd/custdoc/query");//客商档案查询
        prodOverPublic.put("custdocUpdate", "/u8cloud/api/uapbd/custdoc/update");//客商档案修改
        prodOverPublic.put("custdocAssign", "/u8cloud/api/uapbd/custdoc/assign");//客商档案分配
        prodOverPublic.put("custmandocSave", "/u8cloud/api/uapbd/custmandoc/insert");//客商档案新增
        prodOverPublic.put("bdcorpQuery", "/u8cloud/api/uapbd/bdcorp/query");//公司档案查询


    }

    private static void loadDev() {

        devOverAll.put("u8cApiUsercodePK", "admin");
        devOverAll.put("u8cApiPasswordPK", "21232f297a57a5a743894a0e4a801fc3");
        devOverAll.put("u8cApiTrantypePK", "pk");
        devOverAll.put("u8cApiSystemPK", "lz");
        devOverAll.put("u8cApiServiceNamePK", "http://39.170.109.90:9099");//测试U8C
        devOverAll.put("u8cApiNeedStackTracePK", "Y");
        devOverAll.put("u8cApiZdrPK", "0001A210000000000GVS");//单据制单人---测试环境：郑一凡

        devOverAll.put("u8cApiUsercodeCode", "admin1");
        devOverAll.put("u8cApiPasswordCode", "e00cf25ad42683b3df678c61f42c6bda");
        devOverAll.put("u8cApiTrantypeCode", "code");
        devOverAll.put("u8cApiSystemCode", "lz1");
        devOverAll.put("u8cApiServiceNameCode", "http://39.170.109.90:9099");//测试U8C
        devOverAll.put("u8cApiNeedStackTraceCode", "Y");
        devOverAll.put("u8cApiZdrCode", "15932295350");//单据制单人---测试环境：郑一凡



    }

    private static void loadProd() {


    }

    /**
     * 根据key获取全局变量值
     *
     * @param key key值
     * @return 返回String
     */
    public static String getOverAllValue(String key) {
        String value = null;
        if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("dev")) {
            value = devOverAll.get(key);
        } else if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("test")) {
            value = testOverAll.get(key);
        } else if (ProfilesActiveConstant.LETS_PROFILES_ACTIVE.equals("prod")) {
            value = prodOverAll.get(key);
        }
        if (value == null) {
            value = prodOverPublic.get(key);
        }
        return value;
    }
}
